Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 172564 - I can't see "Last login" message after logged via ssh
Summary: I can't see "Last login" message after logged via ssh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-11-07 11:08 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0298
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 12:54:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0298 normal SHIPPED_LIVE Low: openssh security update 2006-07-20 12:53:00 UTC

Description Bastien Nocera 2005-11-07 11:08:01 UTC
+++ This bug was initially created as a clone of Bug #118855 +++

Hi,

After install Fedora 1 on my server I can't see "Last login" message
after logged via ssh. In RH 7.3 there was no problem with this. I see
this message when log lacally.
In sshd_config there is PrintLastLogin Yes.

I've looked through mailing list, newsgroup and forums but without any
results.

Szpak


How reproducible:
Alwayes

Steps to Reproduce:
1. Log via ssh
2. Look at screen

-- Additional comment from bart.martens@chello.be on 2004-03-22 01:17 EST --
openssh-server-3.6.1p2-19

Bug known upstream, see:
http://bugzilla.mindrot.org/show_bug.cgi?id=463

Workaround: chmod a+r /var/log/lastlog

The bug exists also on Debian sarge with ssh 3.6.1p2-12, but there the
lastlog file is already world readable, so the problem doesn't occur.


-- Additional comment from rodgersmp@comcast.net on 2004-05-16 21:29 EST --
The file /var/log/lastlog by default seems to have 600 permissions
(-rw-------).  

The program finger consults this file to find the date/time of a 
user's last login (unless the user is currently logged in).  This 
means that, unless you give world read permission on this file, a 
second symptom will be that fingering any user not presently logged 
in will yield "Never logged in." 

(This took me a while to track down because I erroneously assumed 
finger just read /var/log/wtmp.)

--Mike

Comment 3 Jindrich Novy 2006-04-06 09:48:53 UTC
devel ack for U8

Comment 4 Bob Johnson 2006-04-11 15:49:22 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 7 Red Hat Bugzilla 2006-07-20 12:54:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0298.html



Note You need to log in before you can comment on or make changes to this bug.